# Class CIM_NetworkPortConfigurationService
extends CIM_Service

CIM_NetworkPortConfigurationService provides management of the network interfaces associated with a network port.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_NetworkPortConfigurationService

## Direct Known Subclasses

CIM_WiFiPortConfigurationService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_NetworkPortConfigurationService provides management of the network interfaces associated with a network port.
UMLPackagePath | string | CIM::Network::Misc
Version | string | 2.22.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Local Class Methods

#### AddLANEndpoint (uint32)

#### Method Qualifiers (AddLANEndpoint)

Name | Data Type | Value
--- | --- | ---

Description

string

Create a CIM_LANEndpoint instance and associate it with the specified NetworkPort instance via an instance of CIM_PortImplementsEndpoint. The newly created instance of CIM_LANEndpont contains the configuration properties specified or default values applicable for the specified NetworkPort instance. This method will also create an instance of CIM_HostedAccessPoint which associates the newly created CIM_LANEndpoint instance with the instance of CIM_ComputerSystem which scopes the specified CIM_NetworkPort. An extrinsic method is required in order to provide atomic creation of multiple, related instances. Prior to creating the instances, the implementation will verify that a CIM_LANEndpoint instance can be created and associated with the CIM_NetworkPort instance.

ValueMap | string | 0, 1, 2, 3, 4, .., 32768..65535
Values | string | Completed with No Error, Not Supported, Unknown/Unspecified Error, Failed, Invalid Parameter, DMTF Reserved, Vendor Reserved

#### Method Parameters (AddLANEndpoint)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value
Address | string
Description | string | The MAC address requested.
IN | boolean | true
Required | boolean | true
LANID | string
Description | string | The requested LAN ID.
IN | boolean | true
AliasAddresses | string[]
Description | string | The requested alias addresses.
IN | boolean | true
GroupAddresses | string[]
Description | string | The requested group addresses.
IN | boolean | true
Endpoint | REF CIM_LANEndpoint
Description | string | The created LANEndpoint.
IN | boolean | false
OUT | boolean | true
Port | REF CIM_NetworkPort
Description | string | The NetworkPort to which the network interface will be added.
IN | boolean | true
Required | boolean | true

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service